libdar::database::i_database::archive_data Struct Reference

holds the archive used to create the database More...

## Public Attributes

std::string | chemin
| path to the archive More...
std::string | basename
| basename of the archive More...
datetime | root_last_mod
| last modification date of the root directory More...

## Detailed Description

holds the archive used to create the database

Definition at line 171 of file i_database.hpp.

## Member Data Documentation

## basename

std::string libdar::database::i_database::archive_data::basename

basename of the archive

Definition at line 174 of file i_database.hpp.

## chemin

std::string libdar::database::i_database::archive_data::chemin

path to the archive

Definition at line 173 of file i_database.hpp.

## root_last_mod

datetime libdar::database::i_database::archive_data::root_last_mod

last modification date of the root directory

Definition at line 175 of file i_database.hpp.

The documentation for this struct was generated from the following file:

- i_database.hpp